Subject: Signaling and MPLS

From: "Mike Badil" <[email-masked]>
Date: Thu, 20 Apr 2000 14:38:18 EDT

Hi

I am currently working in MPLS signaling, I have some question from material 
I read.

Q1- Extended RSVP(LDP/CR) does aggregation if we compare to the Traditional 
RSVP. In other word The traffic goes to the same destination and have same 
FEC can be carried in the same LSP. That is clear.
suppose we have the following scnerio:

Host A and B both send message to host D(connected to R3) and the traffic 
from both sources can be in the same FEC so that both traffic can be 
assigned to the LSP1. R1 is the ingress and R3 is the engress.
This point is clear.

A------->|
         |R1-----------R2-----------R3---D
B------->|  <----------|LSP1-------->|
                       |             |
                       |             |
                E---->R4            R5---F

But If host A sends packet to D which is connected to R3 and B sends to F 
which is connected to R5. Again assume that A and B has the same FEC so that 
they can be assigned to same LSP. But the destination routers are not the 
same.

The question here is what is the LSP for host B? Can it travel trough 
LSP1(R1-R2-R3) then take another LSP from R3 to R5?

Similar case suppose E and B send  data to the same destination which  is F 
connected R5. Again assume that they have same FEC and they can be assigned 
to the same LSP. What is their LSP? Are going to be assigned to  a LSP from 
R4 to R2 and a LSP from R1 to R2 then the same LSP which is R2-R3-R4?

If above statement are correct, how does it happened, Does they use label 
stack to do this?

Second Question

After all the required reservation is set up, If a host violate its  
reservation limits in other word send data in higher rate than it reserved, 
what would happen? Does it have any policy control mechanism like diffserv 
etc.?

Thanks

______________________________________________________
Get Your Private, Free Email at http://www.hotmail.com

---

From: "Sumit Garg" <[email-masked]>
Date: Thu, 20 Apr 2000 16:22:30 -0700

Hi Mike,
I am currently working in MPLS signaling, I have some question
from material
I read.

Q1- Extended RSVP(LDP/CR) does aggregation if we compare to the
Traditional
RSVP. In other word The traffic goes to the same destination and
have same
FEC can be carried in the same LSP. That is clear.
suppose we have the following scnerio:

Host A and B both send message to host D(connected to R3) and
the traffic
from both sources can be in the same FEC so that both traffic
can be
assigned to the LSP1. R1 is the ingress and R3 is the engress.
This point is clear.

A------->|

But If host A sends packet to D which is connected to R3 and B
sends to F
which is connected to R5. Again assume that A and B has the same
FEC so that
they can be assigned to same LSP. But the destination routers
are not the
same.

The question here is what is the LSP for host B? Can it travel
trough
LSP1(R1-R2-R3) then take another LSP from R3 to R5?

Yes - it is possible; but most likely there maybe no MPLS b/w R3
and R5 - so just fall back upon standard L3 forwarding

Similar case suppose E and B send  data to the same destination
which  is F
connected R5. Again assume that they have same FEC and they can
be assigned
to the same LSP. What is their LSP? Are going to be assigned to
a LSP from
R4 to R2 and a LSP from R1 to R2 then the same LSP which is
R2-R3-R4?

If above statement are correct, how does it happened, Does they
use label
stack to do this?

In the second case you are likely to have a label merge - same
outgoing label for different incoming label; this requires
special hardware. Stacking is possible only when you see a
logical hierarchy in the routing - much like OSPF areas etc.

Second Question

After all the required reservation is set up, If a host violate
its
reservation limits in other word send data in higher rate than
it reserved,
what would happen? Does it have any policy control mechanism
like diffserv
etc.?

Normal policing can happen - again depends on underlying layer.
Could mean packets being dropped in the extreme scenario. My
observation here is that some kind of ICMP source quench
messages must be generated - but this is like opening a
pandora's box ...
Regards,
Sumit